--- title: "getCatalogs" slug: "analytics-datacatalog-catalog-getcatalogs" tags: ["Data Catalog"] updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-catalog-getcatalogs" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCatalogs Available in VPC Get catalog information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/catalogs | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-N (default: 1) | | `pageSize` | Integer | Optional | Page output count - 1-200 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs?pageNo=1&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | - | Catalog ID | | `catalogStatus` | String | - | Catalog status - `CREATED` \| `DELETED` - `CREATED`: created - `DELETED`: deleted | | `metastoreStatus` | String | - | Catalog metastore status - `METASTORE_STARTING` \| `METASTORE_RUNNING` \| `METASTORE_CONFIGURING` \| `METASTORE_STOPPING` \| `METASTORE_STOPPED` \| `METASTORE_FAILED_START` - `METASTORE_STARTING`: starting - `METASTORE_RUNNING`: normal - `METASTORE_CONFIGURING`: resetting - `METASTORE_STOPPING`: stopping - `METASTORE_STOPPED`: stopped - `METASTORE_FAILED_START`: start failed | | `createTime` | String | - | Catalog creation date and time - ISO 8601 format | | `updateTime` | String | - | Update date and time - ISO 8601 format | ### Response status codes For response status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` [ { "catalogId": 4**, "catalogStatus": "CREATED", "metastoreStatus": "METASTORE_RUNNING", "createTime": "2025-03-17T14:29:52+0900", "updateTime": "2025-03-17T14:30:40+0900" } ] ```